PATCH
/product-categories-by-id/:custom_id/Update product category
You can update a product category.
| Attributes | Type | Required | Description |
|---|---|---|---|
| custom_id | string | no | A unique identifier for the product which is provided by the client. |
| description | string | no | A product category description. |
| name | string | yes | A category name. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PATCH
"https://<your_app_subdomain>.user.com/api/public/product-categories-by-id/:custom_id/"
-H 'authorization: Token <your_64_char_api_key>'
-H 'content-type: application/json'
-d '{
"name": "updated category name",
"custom_id": "my_id",
"description": "category description"
}'
var data = JSON.stringify({
"name": "updated category name",
"custom_id": "my_id",
"description": "category description"
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.#### ResponseText);
}
});
xhr.open("PATCH", "https://<your_app_subdomain>.user.com/api/public/product-categories-by-id/:custom_id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/product-categories-by-id/:custom_id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\n\t\"name\": \"updated category name\",\n\t\"custom_id\": \"my_id\",\n\t\"description\": \"category description\"\n}",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = "{\n\t\"name\": \"updated category name\",\n\t\"custom_id\": \"my_id\",\n\t\"description\": \"category description\"\n}"
headers = {
'authorization': "Token <your_64_char_api_key>",
'content-type': "application/json"
}
conn.request("PATCH", "/api/public/product-categories-by-id/:custom_id/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"id": 30,
"name": "updated category name",
"custom_id": "my_id",
"description": "category description"
}